summaryrefslogtreecommitdiff
path: root/lib/tests
diff options
context:
space:
mode:
authorThomas Wood <thomas.wood@intel.com>2014-10-31 11:45:16 +0000
committerThomas Wood <thomas.wood@intel.com>2014-11-06 11:39:43 +0000
commitb441e6ac2ac98ee2f365683f339c8802d238043f (patch)
treed597a4b50abf3454595216e7b9464c95ac72030e /lib/tests
parent03a4ad16d17b201ba719bc48d2fb2de341a1cf2f (diff)
lib/tests: don't use hard error status to indicate test failure
An exit status of 99 is reported separately in the test summary as an error, rather than as a test failure. Signed-off-by: Thomas Wood <thomas.wood@intel.com>
Diffstat (limited to 'lib/tests')
-rwxr-xr-xlib/tests/igt_command_line.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/lib/tests/igt_command_line.sh b/lib/tests/igt_command_line.sh
index 7e6ca67f..5cf25843 100755
--- a/lib/tests/igt_command_line.sh
+++ b/lib/tests/igt_command_line.sh
@@ -48,20 +48,20 @@ for test in $TESTLIST; do
# check invalid option handling
echo " Checking invalid option handling..."
- ./$test --invalid-option 2> /dev/null && exit 99
+ ./$test --invalid-option 2> /dev/null && exit 1
# check valid options succeed
echo " Checking valid option handling..."
- ./$test --help > /dev/null || exit 99
+ ./$test --help > /dev/null || exit 1
# check --list-subtests works correctly
echo " Checking subtest enumeration..."
./$test --list-subtests > /dev/null
if [ $? -ne 0 -a $? -ne 79 ]; then
- exit 99
+ exit 1
fi
# check invalid subtest handling
echo " Checking invalid subtest handling..."
- ./$test --run-subtest invalid-subtest > /dev/null 2>&1 && exit 99
+ ./$test --run-subtest invalid-subtest > /dev/null 2>&1 && exit 1
done